package main

import "fmt"

type Person struct {
	Id      int
	Name    string
	Address string
}

type Account struct {
	Id      int
	Name    string
	Cleaner func(string) string
	Owner   Person
	Person  // все поля Person будут полями Account
}

func main() {
	// полное объявление структуры
	var acc Account = Account{
		Id:   1,
		Name: "rvasily",
		Person: Person{
			Address: "Москва",
		},
	}
	// fmt.Printf("%#v\n", acc)

	// короткое объявление структуры. Нужно указать все поля
	acc.Owner = Person{2, "Romanov Vasiliy", "Moscow"}

	// fmt.Printf("%#v\n", acc)

	fmt.Println(acc.Address)
}
